Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc.parser
Class SmcLexerContext.SmcLexerState

    java.lang.Object
      statemap.State
          net.sf.smc.parser.SmcLexerContext.SmcLexerState

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SmcLexerContext.NewCommentMap_Default, SmcLexerContext.OldCommentMap_Default, SmcLexerContext.SourceMap_Default, SmcLexerContext.TokenMap_Default

Enclosing class:
  SmcLexerContext

    public abstract static class SmcLexerContext.SmcLexerState

extends statemap.State

See Also:
  Serialized Form

Constructor Summary
`protected` | `SmcLexerContext.SmcLexerState(java.lang.String name, int id)`

Method Summary
`protected void` | `alpha(SmcLexerContext context)`
`protected void` | `asterisk(SmcLexerContext context)`
`protected void` | `colon(SmcLexerContext context)`
`protected void` | `comma(SmcLexerContext context)`
`protected void` | `commentDone(SmcLexerContext context)`
`protected void` | `Default(SmcLexerContext context)`
`protected void` | `digit(SmcLexerContext context)`
`protected void` | `dollar(SmcLexerContext context)`
`protected void` | `Entry(SmcLexerContext context)`
`protected void` | `EOL(SmcLexerContext context)`
`protected void` | `equal(SmcLexerContext context)`
`protected void` | `Exit(SmcLexerContext context)`
`protected void` | `left_brace(SmcLexerContext context)`
`protected void` | `left_bracket(SmcLexerContext context)`
`protected void` | `left_paren(SmcLexerContext context)`
`protected void` | `percent(SmcLexerContext context)`
`protected void` | `period(SmcLexerContext context)`
`protected void` | `right_brace(SmcLexerContext context)`
`protected void` | `right_paren(SmcLexerContext context)`
`protected void` | `semicolon(SmcLexerContext context)`
`protected void` | `slash(SmcLexerContext context)`
`protected void` | `sourceDone(SmcLexerContext context)`
`protected void` | `underscore(SmcLexerContext context)`
`protected void` | `unicode(SmcLexerContext context)`
`protected void` | `whitespace(SmcLexerContext context)`

Methods inherited from class statemap.State
`getId, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmcLexerContext.SmcLexerState

    protected SmcLexerContext.SmcLexerState(java.lang.String name,
                                            int id)

Method Detail

### Entry

    protected void Entry(SmcLexerContext context)

### Exit

    protected void Exit(SmcLexerContext context)

### EOL

    protected void EOL(SmcLexerContext context)

### alpha

    protected void alpha(SmcLexerContext context)

### asterisk

    protected void asterisk(SmcLexerContext context)

### colon

    protected void colon(SmcLexerContext context)

### comma

    protected void comma(SmcLexerContext context)

### commentDone

    protected void commentDone(SmcLexerContext context)

### digit

    protected void digit(SmcLexerContext context)

### dollar

    protected void dollar(SmcLexerContext context)

### equal

    protected void equal(SmcLexerContext context)

### left_brace

    protected void left_brace(SmcLexerContext context)

### left_bracket

    protected void left_bracket(SmcLexerContext context)

### left_paren

    protected void left_paren(SmcLexerContext context)

### percent

    protected void percent(SmcLexerContext context)

### period

    protected void period(SmcLexerContext context)

### right_brace

    protected void right_brace(SmcLexerContext context)

### right_paren

    protected void right_paren(SmcLexerContext context)

### semicolon

    protected void semicolon(SmcLexerContext context)

### slash

    protected void slash(SmcLexerContext context)

### sourceDone

    protected void sourceDone(SmcLexerContext context)

### underscore

    protected void underscore(SmcLexerContext context)

### unicode

    protected void unicode(SmcLexerContext context)

### whitespace

    protected void whitespace(SmcLexerContext context)

### Default

    protected void Default(SmcLexerContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.